VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::updatesession::FileTypes::SourceType Class Reference

The `File.SourceType` enumerated type defines how the file content is retrieved. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NONE, PUSH, PULL }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SourceType[] | GetValues ()
static SourceType | ValueOf (string name)
## Static Public Attributes
static readonly SourceType | NONE = new SourceType("NONE", Values.NONE)
| No source type has been requested.
static readonly SourceType | PUSH = new SourceType("PUSH", Values.PUSH)
| The client is uploading content using HTTP(S) PUT requests.
static readonly SourceType | PULL = new SourceType("PULL", Values.PULL)
| The server is pulling content from a URL.

## Detailed Description

The `File.SourceType` enumerated type defines how the file content is retrieved.

## Member Enumeration Documentation

enum vmware::content::library::item::updatesession::FileTypes::SourceType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NONE | No source type has been requested.
  PUSH | The client is uploading content using HTTP(S) PUT requests.
  PULL | The server is pulling content from a URL. The URL scheme can be `http` , `https` , `file` , or `ds` .

## Member Function Documentation

Values vmware::content::library::item::updatesession::FileTypes::SourceType::GetEnumValue | ( |  | ) | `[inline]`

static SourceType [] vmware::content::library::item::updatesession::FileTypes::SourceType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::updatesession::FileTypes::SourceType::IsUnknown | ( |  | ) | `[inline]`

static SourceType vmware::content::library::item::updatesession::FileTypes::SourceType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SourceType vmware::content::library::item::updatesession::FileTypes::SourceType::NONE = new SourceType("NONE", Values.NONE)`[static]`

No source type has been requested.

readonly SourceType vmware::content::library::item::updatesession::FileTypes::SourceType::PULL = new SourceType("PULL", Values.PULL)`[static]`

The server is pulling content from a URL.

The URL scheme can be `http` , `https` , `file` , or `ds` .

readonly SourceType vmware::content::library::item::updatesession::FileTypes::SourceType::PUSH = new SourceType("PUSH", Values.PUSH)`[static]`

The client is uploading content using HTTP(S) PUT requests.

The documentation for this class was generated from the following file:

- updatesession/FileTypes.cs